local UserGetServerEffectMessage = BaseClass("UserGetServerEffectMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    LuaEntry.Effect:InitServerEffect(t)
  end
end
UserGetServerEffectMessage.OnCreate = OnCreate
UserGetServerEffectMessage.HandleMessage = HandleMessage
return UserGetServerEffectMessage
